RabbitVCS 0.13.1 Debian/Ubuntu Packages Released!

I’m pleased to announce that I’ve (finally) finished packaging RabbitVCS 0.13.1 for Debian and Ubuntu! As always, the best way to obtain it is by adding our PPA to your software sources — follow the instructions there for your particular distribution. If you download it from the Google Code downloads page, note that there is a different core package depending on what distribution you use, but the other components should be the same from Ubuntu Hardy to Lucid and Debian Squeeze and Sid.

Remember:

  • you still need to install the core and an appropriate extension, eg. rabbitvcs-core and rabbitvcs-nautilus for the Nautilus extension.
  • Nautilus users should restart Nautilus or log out and back in for the new extension to be loaded

If there are any problems at all, please send an email to the general discussion list or file an issue with the Google Code issue tracker.

What Took So Long?

The dedicated amongst you may have noticed that I took an entire week getting this packaged and released. Well, the problem was that with 0.13, we decided to split out our upstream tarball to make it easier for users to install only what they need. However, we soon realised that:

  1. 99% of the tarball was taken up by the core, and
  2. we never really change the core or extensions independently anyway, and
  3. it’s a bloody pain

…so there wasn’t really any great gain to be had from that. In 0.13.1 we changed back to having a single “upstream” tarball, but still wanted to split out the various extensions and it was this detail that took me a while to figure out. From now on the tarball and the packages should be released at the same time.

RabbitVCS now in Debian

In other news, RabbitVCS has been accepted into the official Debian distribution. Debian users have the choice of using our PPA (I recommend following Lucid if you do), or simply waiting the extra 10 days for it to trickle into the testing distro (unless you use Sid, of course). One upshot of this is that it’s likely it will now make its way into the official Ubuntu repos too. Both of these events will make it much easier for new users of Debian and Ubuntu to find RabbitVCS.

As an aside, getting RabbitVCS into Debian was the reason I first got involved with this project in the first place, so it’s nice for me that it’s finally happened :)

VN:F [1.9.22_1171]
Rating: 4.5/5 (11 votes cast)
RabbitVCS 0.13.1 Debian/Ubuntu Packages Released!, 4.5 out of 5 based on 11 ratings

13 Responses to “RabbitVCS 0.13.1 Debian/Ubuntu Packages Released!”

  1. neb says:

    Yeaha, great news. Looking forward to install it from Ubuntu repos, when it’s time.

    Thanks for your great work :)

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
  2. thierrybo says:

    ouch, just installed it on Jaunty (well, upgraded, It was already installed with PPA):

    E: /var/cache/apt/archives/rabbitvcs-core_0.13.1-1~jaunty_all.deb: replacement attempt « /usr/share/doc/rabbitvcs/MAINTAINERS », which is also in package rabbitvcs-core-beta

    Unpacking update rabbitvcs-nautilus …
    Errors were encountered while processing :
    /var/cache/apt/archives/rabbitvcs-core_0.13.1-1~jaunty_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    A package could not be installed. Attempting recovery :
    dpkg : dependency problems prevent configuration of rabbitvcs-nautilus :
    rabbitvcs-nautilus depends of rabbitvcs-core (>= 0.13.1) ; however :
    Package rabbitvcs-core is not installed.
    dpkg : error processing rabbitvcs-nautilus (–configure) :
    dependency problems – leaving unconfigured

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
    • Jason Heeris says:

      Interesting. Try purging the rabbitvcs-core-beta package first:

      $ sudo aptitude purge rabbitvcs-core-beta

      (Or, in Synaptic, “Mark for complete removal.”)

      VN:F [1.9.22_1171]
      Rating: 0.0/5 (0 votes cast)
  3. thierrybo says:

    Thanks,

    It works ! Keep on for your excellent job.

    Three things and I will definitely forgot TortoiseSVN ;-) :
    – Copy/Remove context menu entries
    – add “–non-recursive” option to Add command
    – option to use english language rather than Nautilus one

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
    • Jason Heeris says:

      We have a “delete” menu item. Is that what you mean by “remove?”

      VN:F [1.9.22_1171]
      Rating: 0.0/5 (0 votes cast)
      • thierrybo says:

        :-/ I mean “Move”, not “remove”.

        By the way I use the new version since 2 hours. I just need to do a “checkout” and … it seems to be gone, I don’t have the menu entry anymore.

        See what I get :
        http://yfrog.com/40screenshot003ep

        VA:F [1.9.22_1171]
        Rating: 0.0/5 (0 votes cast)
        • thierrybo says:

          Rhah,

          translations changed, it is “Mettre à jour” on the picture. But you know, in French “Mettre à jour” means “Update”, and TortoiseSVN use “Mettre à jour” for Update ! This has nothing to do with subversion checkout here. I believe it was not translated before the new version. And Tortoise use “Extraire” for “Checkout”. You use “Envoyer” for Commit whereas TortoisSVN use “Livrer”

          You see now what I mean when I request a settings to change RabbitVCS menu language. When I use TortoiseSVN, I set it to English, because English words never change.

          VA:F [1.9.22_1171]
          Rating: 5.0/5 (2 votes cast)
  4. Jason Heeris says:

    I don’t know French, but “Mettre à jour” looks like it has the same icon as “Checkout.”

    VN:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
  5. Hi all,

    He will have some option to edit a Log message?

    Thanks,

    Silvio Clécio

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
  6. Nyro says:

    Any news about the Debian squeeze/testing integration?

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
    • Jason Heeris says:

      The package was temporarily removed from the archives due to packaging structure changes. We’ll just need to wait for the ftpmasters to re-check it for it to go into Sid, and then ten days before it enters Squeeze.

      In the meantime, the GC project page downloads will work.

      VN:F [1.9.22_1171]
      Rating: 0.0/5 (0 votes cast)
  7. Aneatname says:

    http://packages.debian.org/search?keywords=rabbitvcs

    “Sorry, your search gave no results”

    Wish this was packaged for Ubuntu :(

    VA:F [1.9.22_1171]
    Rating: 0.0/5 (0 votes cast)
    • Jason Heeris says:

      See my reply immediately above as to why it’s not in Debian ATM.

      What about the PPA? Can you not use that?

      VN:F [1.9.22_1171]
      Rating: 0.0/5 (0 votes cast)

Leave a Reply